﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Html;
using Docs.Excel;
using Docs.Excel.Converting;

namespace SetPositionTable
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read the specified html file.
            HtmlDoc html = HtmlDoc.ReadHTML(@"..\..\..\HorseRider.html");

            // Set start position to (3rd row, 2nd column)
            HtmlToExcel htmlexcel = new HtmlToExcel();
            htmlexcel.RowStart = 2;
            htmlexcel.ColumnStart = 1;

            // Convert Html table to Excel starting from cell "B3"
            ExcelWorkbook excel = htmlexcel.Convert(html);

            //Add text and save Excel file as XLSX format.
            excel.WriteXLSX(@"..\..\..\ExcelConverter.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ExcelConverter.xlsx");
        }
    }
}
